* {
  box-sizing: border-box;
}

body {
    background-color: #FEFCEB;
}

table {
    width: 100%;
    border-collapse: collapse;
    margin-top: 20px;
}

th, td {
    padding: 8px 12px;
    border-bottom: 1px solid #ddd;
    text-align: left;
}
th {
    background-color: #f5f5f5;
}

/* Base column CSS structure*/
.column {
  float: left;
  padding: 10px;
  padding-top: 70px;
}

/* Column for links */
.column.sideLink {
  width: 15%;
  background-color: #111;
  background-color: #FEFCEB;
}

/* Make link color white for the link's black background */
.column.sideLink a{
    color: white;
}

/* Middle column for gallery/images, size expands to match image size */
.column.middle {
   max-width: 90%;
   min-width: 60%;
}

/* Column for data */
.column.sideContent {
  mid-width: 30%;
}

.hidden-row {
    display: none;
}

/* Top Nav styles */

.topNav {
    display: flex;
    justify-content: space-around; /* or space-around / space-between */
    background-color: #f1f1f1;
    padding: 10px 0;
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 1000;
    background-color: #99AC5D;
}

.topNav a {
    margin: 0 15px;
    text-decoration: none;
    color: #333;
    font-weight: bold;
    font-size: x-large;
}

.topNav a:hover {
    color: #007BFF;
}

/* Stat card styles */
.stat-container {
    display: flex;
    gap: 20px;
    margin: 20px 0;
    justify-content: center;
    flex-wrap: wrap;
}
.stat-card {
    background-color: #fefceb;
    border: 1px solid #ccc;
    border-radius: 10px;
    padding: 20px;
    width: 180px;
    text-align: center;
    box-shadow: 2px 2px 8px rgba(0,0,0,0.1);
}
.stat-number {
    font-size: 32px;
    font-weight: bold;
    color: #333;
}
.stat-label {
    font-size: 16px;
    color: #777;
}

/* Char Icon styles */
.char-icon {
    width: 25px;
    height: 25px;
    display: inline-block;
}

.char-icon.loss-transparent {
    opacity: 0.4;
}

.set-win {
    background-color: #e0f7e9; /* Light green */
}

.set-loss {
    background-color: #fce4e4; /* Light red */
}

.link-row {
  display: flex;
  align-items: center;
  gap: 3px;
}